<bugID>616853<Summary>The onbeforeunload dialog should be tab-modal</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 ( .NET CLR 3.5.30729; .NET4.0E)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 ( .NET CLR 3.5.30729; .NET4.0E)

(Filing this bug as part of an effort to get the window-modal dialogs listed in bug 562258 fixed. The obvious fix is to make them tab-modal instead, but if a better idea has been suggested, please close as duplicate of the better idea.)

The onbeforeunload, onunload, onpagehide dialogs are currently window-modal, blocking the entire Firefox window. This is undesirable.

Reproducible: Always



Expected Results:  
The tab should be focused if the prompt is displayed as a result of user action (e.g. closing a background tab). However the dialog itself should be tab-modal, allowing the user to use other tabs while it is displayed.</Description></bugID>